package com.muyu.marketing.domain.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.marketing.domain.ActivityTeamInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;
import java.util.List;

/**
 * 拼团活动响应模型
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class ActivityTeamInfoModel {

    /**
     * 主键
     */
    private long id;
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 商品ID
     */
    private long productId;
    /**
     * 商品活动图
     */
    private String productImage;
    /**
     * 活动简介
     */
    private String introduction;
    /**
     * 单位
     */
    private String unit;
    /**
     * 轮播图
     */
    private String imageList;
    /**
     * 活动结束时间
     */
    private Date endTime;
    /**
     * 活动排序
     */
    private long sort;
    /**
     * 活动详情
     */
    private String content;
    /**
     * 活动状态
     */
    private String status;
    /**
     * 策略类型
     */
    private String strategyType;
    /**
     * 策略ID
     */
    private long strategyId;

    /**
     * 拼团活动规格信息
     */
    private List<ActivityTeamProductSkuInfoModel> activityTeamProductSkuInfoModelList;


    /**
     * 拼团活动响应模型转换
     * @param activityTeamInfo
     * @param activityTeamProductSkuInfoModelList
     * @return
     */
    public static ActivityTeamInfoModel ActivityTeamInfoModelBuilder(ActivityTeamInfo activityTeamInfo,  List<ActivityTeamProductSkuInfoModel> activityTeamProductSkuInfoModelList){
       return ActivityTeamInfoModel.builder()
               .id(activityTeamInfo.getId())
               .name(activityTeamInfo.getName())
               .productId(activityTeamInfo.getProductId())
               .productImage(activityTeamInfo.getProductImage())
               .introduction(activityTeamInfo.getIntroduction())
               .unit(activityTeamInfo.getUnit())
               .imageList(activityTeamInfo.getImageList())
               .endTime(activityTeamInfo.getEndTime())
               .sort(activityTeamInfo.getSort())
               .content(activityTeamInfo.getContent())
               .status(activityTeamInfo.getStatus())
               .strategyType(activityTeamInfo.getStrategyType())
               .strategyId(activityTeamInfo.getStrategyId())
               .activityTeamProductSkuInfoModelList(activityTeamProductSkuInfoModelList)
               .build();
    }


}
