package com.muyu.marketing.domain.model;

import com.muyu.marketing.domain.ActivityTeamProductSkuInfo;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 拼团活动规则模型响应
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ActivityTeamProductSkuInfoModel {
    /**
     * 主键
     */
    private long id;
    /**
     * 活动ID
     */
    private long teamId;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 商品SKU
     */
    private String productSku;
    /**
     * 拼团库存
     */
    private Long teamStock;
    /**
     * 剩余库存
     */
    private Long remainStock;
    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;


    /**
     * 回显拼团活动规格模型
     * @param activityTeamProductSkuInfo
     * @return
     */
    public static ActivityTeamProductSkuInfoModel reqSkuBulider(ActivityTeamProductSkuInfo activityTeamProductSkuInfo){
        return ActivityTeamProductSkuInfoModel.builder()
                .id(activityTeamProductSkuInfo.getId())
                .teamId(activityTeamProductSkuInfo.getTeamId())
                .productId(activityTeamProductSkuInfo.getProductId())
                .productSku(activityTeamProductSkuInfo.getProductSku())
                .teamStock(activityTeamProductSkuInfo.getTeamStock())
                .remainStock(activityTeamProductSkuInfo.getRemainStock())
                .teamPrice(activityTeamProductSkuInfo.getTeamPrice())
                .build();
    }
}
