package com.muyu.marketing.domain.resp;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.muyu.marketing.domain.model.ActivityTeamInfoModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 拼团活动回显
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ActivityTeamInfoResponse {
    /**
     * 主键
     */
    private long id;
    /**
     * 拼团名称
     */
    private String name;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 商品活动图
     */
    private String productImage;
    /**
     * 活动简介
     */
    private String introduction;
    /**
     * 单位
     */
    private String unit;
    /**
     * 轮播图
     */
    private String imageList;
    /**
     * 活动结束时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd")
    private Date endTime;
    /**
     * 活动排序
     */
    private Integer sort;
    /**
     * 活动详情
     */
    private String content;
    /**
     * 活动状态
     */
    private String status;
    /**
     * 策略类型
     */
    private String strategyType;
    /**
     * 策略ID
     */
    private Long strategyId;
    /**
     * 商品SkU集合
     */
    private List<ActivityTeamProductSkuInfoResponse> teamProjectSkuInfoAddReqList;




    public static ActivityTeamInfoResponse ActivityTeamInfoResponseBulider(ActivityTeamInfoModel activityTeamInfoModel, ArrayList<ActivityTeamProductSkuInfoResponse> activityTeamProductSkuInfoResponses){
       return ActivityTeamInfoResponse.builder()
                .id(activityTeamInfoModel.getId())
                .name(activityTeamInfoModel.getName())
                .productId(activityTeamInfoModel.getProductId())
                .productImage(activityTeamInfoModel.getProductImage())
                .introduction(activityTeamInfoModel.getIntroduction())
                .unit(activityTeamInfoModel.getUnit())
                .imageList(activityTeamInfoModel.getImageList())
                .endTime((activityTeamInfoModel.getEndTime()))
                .sort((int) activityTeamInfoModel.getSort())
                .status(activityTeamInfoModel.getStatus())
                .content(activityTeamInfoModel.getContent())
                .strategyType(activityTeamInfoModel.getStrategyType())
                .strategyId(activityTeamInfoModel.getStrategyId())
                .teamProjectSkuInfoAddReqList(activityTeamProductSkuInfoResponses)
                .build();
    }
}
