package com.muyu.marketing.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.marketing.domain.model.ActivityTeamProductSkuInfoModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.math.BigDecimal;

/**
 * 拼团活动规格回显
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class ActivityTeamProductSkuInfoResponse {
    /**
     * 主键
     */
    private long id;
    /**
     * 商品ID
     */
    private Long productId;
    /**
     * 商品SKU
     */
    private String productSku;
    /**
     * 拼团库存
     */
    private Long teamStock;
    /**
     * 剩余库存
     */
    private Long remainStock;
    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;


    public static ActivityTeamProductSkuInfoResponse ActivityTeamProductSkuInfoResponseBulider(ActivityTeamProductSkuInfoModel activityTeamProductSkuInfoModel){
        return ActivityTeamProductSkuInfoResponse.builder()
                .id(activityTeamProductSkuInfoModel.getId())
                .productId(activityTeamProductSkuInfoModel.getProductId())
                .productSku(activityTeamProductSkuInfoModel.getProductSku())
                .teamStock(activityTeamProductSkuInfoModel.getTeamStock())
                .remainStock(activityTeamProductSkuInfoModel.getRemainStock())
                .teamPrice(activityTeamProductSkuInfoModel.getTeamPrice())
                .build();

    }

}
